[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: maintenance: specify column width to avoid crapping package names (and thus having a nicer output <3)

Holger Levsen holger at moszumanska.debian.org
Tue Apr 28 08:56:01 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 4e2a1b09caaab4b366086c23f8642cc9f647190e
Author: Mattia Rizzolo <mattia at mapreri.org>
Date:   Tue Apr 28 10:53:35 2015 +0200

    reproducible: maintenance: specify column width to avoid crapping package names (and thus having a nicer output <3)
---
 bin/reproducible_maintenance.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index b26ecf4..8732f56 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -170,7 +170,7 @@ sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY" > $PACKAGES 2> /dev/null || echo "Wa
 if grep -q '|' $PACKAGES ; then
 	echo
 	echo "Warning: packages found where the build was started more than 36h ago:"
-	sqlite3 -init $INIT -header -column ${PACKAGES_DB} "$QUERY" 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
+	printf ".width 0 25 \n $QUERY ; " | sqlite3 -init $INIT -header -column ${PACKAGES_DB} 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
 	echo
 	for PKG in $(cat $PACKAGES | cut -d "|" -f1) ; do
 		echo "sqlite3 ${PACKAGES_DB}  \"DELETE FROM schedule WHERE package_id = '$PKG';\""
@@ -192,7 +192,7 @@ if grep -q '|' $PACKAGES ; then
 	echo
 	echo "Warning: found files relative to old packages, no more in the archive:"
 	echo "Removing these removed packages from database:"
-	sqlite3 -init $INIT -header -column ${PACKAGES_DB} "$QUERY" 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
+	printf ".width 25 12 \n $QUERY ;" | sqlite3 -init $INIT -header -column ${PACKAGES_DB} 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
 	echo
 	for pkg in $(cat $PACKAGES) ; do
 		PKGNAME=$(echo "$pkg" | cut -d '|' -f 1)

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list